import { useLayoutEffect } from 'react'
import { useLocation } from 'react-router-dom'

/**
 * ScrollTop component ensures every route change scrolls to top of page
 * Uses useLayoutEffect for synchronous execution before paint
 */
export function ScrollTop() {
  const { pathname } = useLocation()
  
  useLayoutEffect(() => {
    window.scrollTo({ top: 0, left: 0, behavior: 'instant' })
  }, [pathname])
  
  return null
}